# Uses of Class
org.eclipse.compare.CompareConfiguration

Packages that use CompareConfiguration
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.internal
org.eclipse.compare.patch
Provides support for applying and working with patches.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of CompareConfiguration in org.eclipse.compare

Methods in org.eclipse.compare that return CompareConfiguration
Modifier and Type
Method
Description
`CompareConfiguration`
CompareEditorInput.`getCompareConfiguration()`
Returns the configuration object for the viewers within the compare editor.
Methods in org.eclipse.compare with parameters of type CompareConfiguration
Modifier and Type
Method
Description
`Viewer`
IViewerCreator.`createViewer(Composite parent, CompareConfiguration config)`
Creates a new viewer under the given SWT parent control.
`static Viewer`
CompareUI.`findContentViewer(Viewer oldViewer, Object input, Composite parent, CompareConfiguration configuration)`
Returns a content compare viewer based on an old viewer and an input object.
`static Viewer`
CompareUI.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a content compare viewer based on an old viewer and an input object.
`static Viewer`
CompareUI.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a structure compare viewer based on an old viewer and an input object.
Constructors in org.eclipse.compare with parameters of type CompareConfiguration
Modifier
Constructor
Description
``
`CompareEditorInput(CompareConfiguration configuration)`
Creates a `CompareEditorInput` which is initialized with the given compare configuration.

## Uses of CompareConfiguration in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer that return CompareConfiguration
Modifier and Type
Method
Description
`protected CompareConfiguration`
ContentMergeViewer.`getCompareConfiguration()`
Returns the compare configuration of this viewer.
Constructors in org.eclipse.compare.contentmergeviewer with parameters of type CompareConfiguration
Modifier
Constructor
Description
`protected`
`ContentMergeViewer(int style, ResourceBundle bundle, CompareConfiguration cc)`
Creates a new content merge viewer and initializes with a resource bundle and a configuration.
``
`TextMergeViewer(Composite parent, int style, CompareConfiguration configuration)`
Creates a text merge viewer under the given parent control.
``
`TextMergeViewer(Composite parent, CompareConfiguration configuration)`
Creates a text merge viewer under the given parent control.

## Uses of CompareConfiguration in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type CompareConfiguration
Modifier and Type
Method
Description
`static ChangePropertyAction`
ChangePropertyAction.`createIgnoreWhiteSpaceAction(ResourceBundle bundle, CompareConfiguration compareConfiguration)`
`static ChangePropertyAction`
ChangePropertyAction.`createShowPseudoConflictsAction(ResourceBundle bundle, CompareConfiguration compareConfiguration)`
`Viewer`
BinaryCompareViewerCreator.`createViewer(Composite parent, CompareConfiguration mp)`
`Viewer`
ImageMergeViewerCreator.`createViewer(Composite parent, CompareConfiguration mp)`
`Viewer`
IViewerDescriptor.`createViewer(Viewer currentViewer, Composite parent, CompareConfiguration config)`
Creates a new viewer from this descriptor under the given STW parent control.
`Viewer`
TextMergeViewerCreator.`createViewer(Composite parent, CompareConfiguration mp)`
`Viewer`
TextViewerCreator.`createViewer(Composite parent, CompareConfiguration mp)`
`Viewer`
ViewerDescriptor.`createViewer(Viewer currentViewer, Composite parent, CompareConfiguration mp)`
`Viewer`
CompareUIPlugin.`findContentViewer(Viewer oldViewer, Object in, Composite parent, CompareConfiguration cc)`
Returns a content compare viewer based on an old viewer and an input object.
`ViewerDescriptor[]`
CompareUIPlugin.`findContentViewerDescriptor(Viewer oldViewer, Object in, CompareConfiguration cc)`
`Viewer`
CompareUIPlugin.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a structure compare viewer based on an old viewer and an input object.
`abstract Viewer`
OutlineViewerCreator.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Method called by the editor to create a structure viewer for the current content merge viewer.
`ViewerDescriptor[]`
CompareUIPlugin.`findStructureViewerDescriptor(Viewer oldViewer, ICompareInput input, CompareConfiguration configuration)`
`static boolean`
Utilities.`getBoolean(CompareConfiguration cc, String key, boolean dflt)`
`static ICompareFilter[]`
Utilities.`getCompareFilters(CompareConfiguration cc)`
Returns the active compare filters for the compare configuration
`void`
ChangeCompareFilterPropertyAction.`setCompareConfiguration(CompareConfiguration cc)`
`void`
ChangePropertyAction.`setCompareConfiguration(CompareConfiguration cc)`
Constructors in org.eclipse.compare.internal with parameters of type CompareConfiguration
Modifier
Constructor
Description
``
`BinaryCompareViewer(Composite parent, CompareConfiguration cc)`
``
`ChangeCompareFilterPropertyAction(CompareFilterDescriptor compareFilterDescriptor, CompareConfiguration compareConfiguration)`
``
`ChangePropertyAction(ResourceBundle bundle, CompareConfiguration cc, String rkey, String pkey)`
``
`ImageMergeViewer(Composite parent, int styles, CompareConfiguration mp)`
``
`MergeViewerContentProvider(CompareConfiguration cc)`
``
`MirroredMergeViewerContentProvider(CompareConfiguration cc, MergeViewerContentProvider delegate)`

## Uses of CompareConfiguration in org.eclipse.compare.patch

Constructors in org.eclipse.compare.patch with parameters of type CompareConfiguration
Modifier
Constructor
Description
``
`ApplyPatchOperation(IWorkbenchPart part, IStorage patch, IResource target, CompareConfiguration configuration)`
Creates a new ApplyPatchOperation with the supplied compare configuration, patch and target.

## Uses of CompareConfiguration in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer that return CompareConfiguration
Modifier and Type
Method
Description
`CompareConfiguration`
DiffTreeViewer.`getCompareConfiguration()`
Returns the compare configuration of this viewer.
Constructors in org.eclipse.compare.structuremergeviewer with parameters of type CompareConfiguration
Modifier
Constructor
Description
``
`DiffTreeViewer(Composite parent, CompareConfiguration configuration)`
Creates a new viewer under the given SWT parent and with the specified configuration.
``
`DiffTreeViewer(Tree tree, CompareConfiguration configuration)`
Creates a new viewer for the given SWT tree control with the specified configuration.
``
`StructureDiffViewer(Composite parent, CompareConfiguration configuration)`
Creates a new viewer under the given SWT parent with the specified configuration.
``
`StructureDiffViewer(Tree tree, CompareConfiguration configuration)`
Creates a new viewer for the given SWT tree control with the specified configuration.

## Uses of CompareConfiguration in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type CompareConfiguration
Modifier and Type
Method
Description
`protected abstract void`
PageCompareEditorInput.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the compare input for display in a content viewer.
`protected abstract void`
PageSaveablePart.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.
Prepare the compare input for display in a content viewer.
Constructors in org.eclipse.team.ui with parameters of type CompareConfiguration
Modifier
Constructor
Description
`protected`
`PageCompareEditorInput(CompareConfiguration configuration)`
Create a page compare editor input.
`protected`
`PageSaveablePart(Shell shell, CompareConfiguration compareConfiguration)`
Deprecated.
Create a saveable part.

## Uses of CompareConfiguration in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history with parameters of type CompareConfiguration
Modifier and Type
Method
Description
`protected void`
HistoryPageCompareEditorInput.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
`protected void`
HistoryPageSaveablePart.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.
`void`
IHistoryCompareAdapter.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the compare input for display.
Constructors in org.eclipse.team.ui.history with parameters of type CompareConfiguration
Modifier
Constructor
Description
``
`HistoryPageCompareEditorInput(CompareConfiguration configuration, IHistoryPageSource pageSource, Object object)`
Create a history page compare editor input for the given page and object.
``
`HistoryPageSaveablePart(Shell shell, CompareConfiguration configuration, IHistoryPageSource pageSource, Object object)`
Deprecated.
Create a history page part for the given page and object.

## Uses of CompareConfiguration in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type CompareConfiguration
Modifier and Type
Method
Description
`void`
ISynchronizationCompareInput.`prepareInput(CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the compare input associated with a model element for display using the compare configuration.

## Uses of CompareConfiguration in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type CompareConfiguration
Modifier and Type
Method
Description
`void`
AbstractSynchronizeParticipant.`prepareCompareInput(ISynchronizeModelElement element, CompareConfiguration config, IProgressMonitor monitor)`
Default implementation will update the labels in the given configuration using information from the provided element if it adapts to `SyncInfo`.
`void`
ISynchronizeParticipant.`prepareCompareInput(ISynchronizeModelElement element, CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the given element and compare configuration for use with a compare editor input.
`protected void`
ParticipantPageCompareEditorInput.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
`protected void`
ParticipantPageSaveablePart.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.
Prepare the compare input for display in a content viewer.
Constructors in org.eclipse.team.ui.synchronize with parameters of type CompareConfiguration
Modifier
Constructor
Description
``
`ParticipantPageCompareEditorInput(CompareConfiguration configuration, ISynchronizePageConfiguration pageConfiguration, ISynchronizeParticipant participant)`
Creates a part for the provided participant.
``
`ParticipantPageSaveablePart(Shell shell, CompareConfiguration cc, ISynchronizePageConfiguration pageConfiguration, ISynchronizeParticipant participant)`
Deprecated.
Creates a part for the provided participant.
``
`SaveableCompareEditorInput(CompareConfiguration configuration, IWorkbenchPage page)`
Creates a `LocalResourceCompareEditorInput` which is initialized with the given compare configuration.